Nautilus location bar toggle icon implies unrelated function

Bug #382626 reported by Murat Gunes
52
This bug affects 4 people
Affects Status Importance Assigned to Milestone
Humanity
Undecided
Unassigned
Nautilus
Expired
Wishlist
One Hundred Papercuts
Medium
Unassigned
human-icon-theme (Ubuntu)
Undecided
Unassigned
nautilus (Ubuntu)
Low
Ubuntu Desktop Bugs

Bug Description

Binary package hint: human-icon-theme

(Filed as per the UDS-Karmic "Death by a 100 paper cuts" session, where the issue was cited as and agreed to be an example of a design "paper cut".)

The icon used in the button that toggles the Nautilus address bar between icon and text modes does not illustrate the function of the button. Instead, it suggests that the function may be something related to writing things on paper, the digital analogues of which would be text editing or word processing, for which we have preinstalled software that is to be launched in a different way (i.e. going to the "Applications" menu), and (it was cited that) user testing has shown people tend to click this button when prompted to write something. It's also worth noting that The "Designing Effective Icons" article of the GNOME HIG [1] refers to an effectively identical variation of this icon as "A functionally suggestive icon for a word processor".

A toggle button with pressed / not pressed states is not ideal for conveying the information required of the button in this case. We don't want to convey whether the bar is "in text mode or not"; we want to convey precisely which of the two available modes it is in. The GNOME HIG also recommends against using a single toggle button in isolation [2].

The solution would be to either modify Nautilus, preferably upstream, to have a regular stateless button that displays a "Switch to text mode" icon when in button mode, and vice versa, and design those respective icons, and/or (maybe as a temporary measure until that happens) design a replacement icon that does not suggest word processing functionality and better illustrates the current one.

[1] http://library.gnome.org/devel/hig-book/stable/icons-design.html.en
[2] http://library.gnome.org/devel/hig-book/stable/controls-toggle-buttons.html.en

Murat Gunes (mgunes)
description: updated
Revision history for this message
Sebastien Bacher (seb128) wrote :

Would be nice if somebody could open this bug upstream too

Changed in nautilus (Ubuntu):
assignee: nobody → Ubuntu Desktop Bugs (desktop-bugs)
importance: Undecided → Low
Revision history for this message
Murat Gunes (mgunes) wrote :

Reported in upstream Nautilus module. I'm not sure if it needs reporting in gnome-icon-theme as well; probably not, since the issue is not with the icon per se, but with the fact that Nautilus makes use of it.

Changed in nautilus:
status: Unknown → New
Revision history for this message
dobey (dobey) wrote :

The icon is horrible anyway. It's used in other places as well (GtkFileChooser uses it the same way Nautilus does), as it's a stock gtk+ icon. If anyone can come up with a better metaphor for a generic "edit" action (good luck), I'll gladly get the icon changed in gnome-icon-theme. I would rather just see all the places using the icon, not use it, though, as there are probably better icons to use, or there could be design for a better UI to use (in the case of Nautilus/FileChooser). Something more like the hyperlinks/arrows/entry combination like Vista has would be better here I think.

Mat Tomaszewski (mat.t.)
Changed in hundredpapercuts:
importance: Undecided → Medium
status: New → Confirmed
Revision history for this message
Matthew Paul Thomas (mpt) wrote :

I think there is nothing wrong with the stock GTK edit icon. Rather, the problem is that a button for showing/hiding the path field in a file manager should not be using an "edit" icon in the first place. The object is not to edit anything, it is to enter a path.

Revision history for this message
Sebastien Bacher (seb128) wrote :

Could you suggest a better icon to use or an another change?

Revision history for this message
Tobias Wolf (towolf) wrote :

»go-jump« is the icon most closely associated with address fields. But it would still make a poor choice. Especially because there would be an awkward cluster of arrows in that corner ( http://en.wikipedia.org/wiki/Fingerpost ).

Revision history for this message
dobey (dobey) wrote : Re: [Bug 382626] Re: Nautilus location bar toggle icon implies unrelated function

It would also be weird, as it's not the equivalent function to the "go"
button in browser address fields. Clicking it does not take you to the
location you've typed in (which you can't type in until you click the
button in the first place).

On Thu, 2009-06-11 at 12:05 +0000, Tobias Wolf wrote:
> »go-jump« is the icon most closely associated with address fields. But
> it would still make a poor choice. Especially because there would be an
> awkward cluster of arrows in that corner (
> http://en.wikipedia.org/wiki/Fingerpost ).
>

Revision history for this message
Matthew Paul Thomas (mpt) wrote :

One possibility for an appropriate icon would be a stylized miniature of the location field itself.

Revision history for this message
David Siegel (djsiegel-deactivatedaccount) wrote :

Better yet, why not get rid of the toggle button and make the
location-bar-as-text-field an advanced option to be enabled in Nautilus
preferences or a menu? My intuition is that location-bar-as-text-field
is a feature primarily for advanced users, and that we might make
Nautilus easier to use, and avoid this problem entirely, by removing the
toggle button.

Revision history for this message
dobey (dobey) wrote :

That option is already there. GtkFileChooser doesn't that setting
though. Either way, the current situation is ugly, and isn't
particularly nice for users (either basic, or advanced). It's doubly
confusing for Windows users migrating, as it was a text entry until
Vista, and in Vista+ it's an advanced text-based thing, where you can
click to edit the path. And I don't think OS X even has a way to edit
the path like this, so the extra button is a bit confusing for users
migrating from there as well. I do like the Vista solution though, as it
provides a nice balance between navigating the path, and typing
something totally new.

On Mon, 2009-06-15 at 17:16 +0000, David Siegel wrote:
> Better yet, why not get rid of the toggle button and make the
> location-bar-as-text-field an advanced option to be enabled in Nautilus
> preferences or a menu? My intuition is that location-bar-as-text-field
> is a feature primarily for advanced users, and that we might make
> Nautilus easier to use, and avoid this problem entirely, by removing the
> toggle button.
>

Revision history for this message
Vadim Peretokin (vperetokin) wrote : Re: [Bug 382626] Re: Nautilus location bar toggle icon implies unrelated function

I wouldn't like going to a preference option each time I want to toggle. I
use the buttons primarily, but there are often cases when the line is
helpful too - and the button being right there is awfully helpful.

Revision history for this message
Bernhard Schussek (bschussek) wrote :

I too use the toggle button fairly often. I am used to using the command line a lot, so being able to enter the full path with support for directory completion is very convenient. If you are in a deeply nested folder, it's easier though to just click on one of the parent folders instead of having to delete parts of the path manually (which is prone to errors).

Revision history for this message
Lightbreeze (nedhoy-gmail) wrote :

Why not have both in the one widget? Clickable and typeable. This would have to be done very well not to be annoying. I believe the Google Chrome browser has something like this, as does the Linkify extension for Firefox.

Changed in hundredpapercuts:
milestone: none → round-4
Changed in nautilus (Ubuntu):
status: New → Triaged
Revision history for this message
antistress (antistress) wrote :

A few suggestions :

1°) why not a "T" icon, like these usually find to express something related to font stuff ?
(something like http://images1.wikia.nocookie.net/wowwiki/images/thumb/e/e0/Icon-font.svg/120px-Icon-font.svg.png )
2°) considering that the function is close to a CLI/GUI choice, maybe a prompt icon without the black screen ( http://gigapple.files.wordpress.com/2009/03/terminal_icon.png?w=240&h=240 )
3°) maybe a mix of both
4°) since text mode can be seen like an advanced user feature, the icon usually used for advanced options could fit 5°) something related to a keyboard icon or a few keys ( http://icons.iconseeker.com/png/fullsize/tulliana-2/keyboard-layout-3.png )

Personally i like 2°) & 3°)

Revision history for this message
Lightbreeze (nedhoy-gmail) wrote :

I believe a pencil alone, without the paper, is a clear metaphor and wouldn't be confused with creating a new document or opening the text editor.

Revision history for this message
dobey (dobey) wrote : Re: [Bug 382626] Re: Nautilus location bar toggle icon implies unrelated function

Without any prior knowledge of what that button does, I really would
have no idea what it does, with the pencil icon, or any other suggested
icons. And I certainly don't think putting text in the icon would be a
fitting metaphor either. At that point, we might as well just change it
to say "Edit" and not have an icon.

On Wed, 2009-06-24 at 14:39 +0000, Lightbreeze wrote:
> I believe a pencil alone, without the paper, is a clear metaphor and
> wouldn't be confused with creating a new document or opening the text
> editor.
>
> ** Attachment added: "Toggle icon as pencil - source: Elementary Icons"
> http://launchpadlibrarian.net/28285509/Screenshot-Trash%20-%20File%20Browser-1.png
>

Revision history for this message
Nick Glynn (exosyst) wrote :

> Why not have both in the one widget? Clickable and typeable. This would have to be done very well not to be annoying. I believe the Google Chrome browser has something like this, as does the Linkify extension for Firefox.

and

> Better yet, why not get rid of the toggle button and make the
> location-bar-as-text-field an advanced option to be enabled in Nautilus
> preferences or a menu? My intuition is that location-bar-as-text-field
> is a feature primarily for advanced users, and that we might make
> Nautilus easier to use, and avoid this problem entirely, by removing the
> toggle button.

When I used XP a while back I installed this ExplorerBreadcrumbs[1] to make things a bit more intuitive and nautilus like but it seems that they did it *better* than nautilus.

Each section is a button, taking you directly to the location. Clicking the arrow exposes other directories that branch from that point and clicking anywhere else (towards the end of the bar) transforms it into an editable text icon[2].

My suggestion would be to mimic this behaviour and you can then squash a related bug ( https://bugs.edge.launchpad.net/hundredpapercuts/+bug/386150 ) by allowing you to eliminate up/back/forward and even reload.

[1] http://minimalist.com/software/ExplorerBreadcrumbs/
[2] http://minimalist.com/software/ExplorerBreadcrumbs/Explorer1.png

Revision history for this message
Nick Glynn (exosyst) wrote :

See attached for a basic idea - I would've expanded further but I never realised how awfully Gimp handles layers!

Revision history for this message
Oliver Joos (oliver-joos) wrote :

I vote for a new icon only. Two Alt+PrtScr and 15mins in GIMP resulted in the attachment here. The final icon should be less theme-like (say more symbolic) and *.svg.

I like the fact that in a Linux Desktop nearly every text is selectable! So I would miss the textfield mode of Nautilus paths. The button mode enhancements proposed in these comments are very interesting. They could be moved to http://brainstorm.ubuntu.com

Revision history for this message
Nicolò Chieffo (yelo3) wrote :

I've built a simple patch to change ONLY the icon of the ubuntu partition to the ubuntu logo (no emblems).
I also forwarded it upstream here:
http://bugzilla.gnome.org/show_bug.cgi?id=586488

direct link to patches:
http://bugzilla.gnome.org/attachment.cgi?id=137087
http://bugzilla.gnome.org/attachment.cgi?id=137141

upstream commented only my first patch attempt, then nothing else

Revision history for this message
Nicolò Chieffo (yelo3) wrote :

ignore me, wrong bug

Revision history for this message
Kalle Persson (kallepersson) wrote :

Having discussed a better metaphor for the the icon together with David Siegel, I suggest Nautilus should use this icon instead.

It will signal "text entry" to the user and when toggled users won't have any hard time getting back to breadcrumb mode since they will remember what button they clicked.

While this might solve the paper cut, the ideal solution would probably require a redesign of the location bar.

Revision history for this message
Daniel Fore (danrabbit) wrote :

I'm going to have to go with Kalle and say that the real solution is to redesign the location bar. Also, I'm going to have to say that this papercut is not a bug in any icon set, but with nautilus. You can't change the icon without affecting other apps that use that icon properly.

Changed in humanity:
status: New → Invalid
Revision history for this message
Kris Thomsen (lakristho) wrote :

There have to be a better way to make it changeable between text/breadcrumbs than with an icon... The icon is ugly and clutter up the interface. But I really don't know how to make another solution :)

Revision history for this message
antistress (antistress) wrote :

concerning c#23
Letters should not be framed : button already provides a frame & that makes 2 frames, unless you want to imitate a keyboard key like suggested in c#14
See mockup attached : either show a letter, or a key but not something between

Anyway, since current icon is not so bad, i don't think we should change it unless we find a really great icon.
Changing a not so good nor so bad icon for another not so good nor so bad icon would be a bad idea

Revision history for this message
Vish (vish) wrote :

The Humanity icon set ,as of now, has a nice icon of a pencil alone in the location toggle.
Using the pencil alone is a good metaphor , indicates something can be written and is far more representative that any other alternative solutions proposed here.

for the screenshot see comment #15

Revision history for this message
Joachim Sauer (saua) wrote :

I'd just like to add that I'd rather not have any of the icons that feature text prominently.

They are easily mistaken to be part of the path and would thus confuse anyone who tries to use the path anywhere (or even just write it down).

Revision history for this message
komputes (komputes) wrote :

I agree with keeping the pencil or the pencil and paper icon. Other suggestions for replacement icons are confusing to describe when guiding people over the phone. Some of the icons suggested are already intended for font menus and can cause further confusion.

Revision history for this message
PCZahra (pczahra06) wrote :

I would also like to be able to drag a file onto a folder button to move the file to that folder, or drag a folder button out to create a symlink

Revision history for this message
komputes (komputes) wrote :

@PCZahra Drag a file onto a folder button in graphical location bar has been implemented in karmic. You can already drag and drop a folder out from the graphical location bar. Just hold down alt when dragging the folder down to make a symlink.

Revision history for this message
Eric (geldmacher-eric) wrote :

I like the idea of a mix of both systems.
Perhaps where there would be small buttons directly under the path folder names.

Revision history for this message
nvolker (natevolker) wrote :

I personally think that the button should toggle between an some kind of icon representing a mouse/cursor (to switch to breadcrumb mode where you click on buttons) and one representing a keyboard (to switch to text entry mode).

It makes sense to me because most users click the buttons in icon mode and type in text mode, and would be able to make this connection pretty easily. I attached a quick mockup of what I mean.

Revision history for this message
David Siegel (djsiegel-deactivatedaccount) wrote :

I won't mark this as fixed in Karmic, but the new edit icon is an improvement!

Revision history for this message
David Siegel (djsiegel-deactivatedaccount) wrote :

I have marked this "Wont Fix" in hundredpapercuts, as the icon was ultimately improved in Lucid. I would like to propose a similar paper cut -- "Hide location bar by default" -- for Lucid.

Changed in hundredpapercuts:
status: Confirmed → Won't Fix
milestone: round-4 → none
Revision history for this message
Oliver Joos (oliver-joos) wrote :

Improved in Lucid? As far as I see the icon has been removed altogether in 2.29.92.1. I like the new layout, but I'd have preferred an option to enable this icon again.

Without the icon more users will overlook this feature, and use the mouse to navigate. The Location mode is nice to copy-paste parts of a path to and from Nautilus.

Revision history for this message
Vish (vish) wrote :

Not an issue anymore , since that icon has been removed.

Changed in nautilus (Ubuntu):
status: Triaged → Fix Released
Revision history for this message
Vish (vish) wrote :

Closing icon theme task

Changed in human-icon-theme (Ubuntu):
status: New → Invalid
Revision history for this message
komputes (komputes) wrote :

That is correct, Lucid no longer has the location bar toggle icon, which this bug is about.
To activate the location bar go to "Go > Location" or type the "Ctrl-L" keyboard combination.

Changed in hundredpapercuts:
status: Won't Fix → Fix Released
Revision history for this message
Spang (hetkot) wrote :

I'm sorry but removing the button is somewhat a poor fix if you ask me. I'm really missing that toggle button.

Revision history for this message
David Siegel (djsiegel-deactivatedaccount) wrote : Re: [Bug 382626] Re: Nautilus location bar toggle icon implies unrelated function

Spang, maybe it is, but the confusion caused by the button has been
removed. In user testing, we observed people clicking on this toggle
button in an attempt to create new documents simply because the icon
had a document in it.

PS: Did you know you can use ctrl-L to toggle it now?

Revision history for this message
Murat Gunes (mgunes) wrote :

David, was this an upstream change? I couldn't find a reference to it in the changelogs (upstream and Ubuntu).

Revision history for this message
Lightbreeze (nedhoy-gmail) wrote :

David: I'm not saying it was a bad move, but was testing done /after/ the icon was changed? In Karmic the icon is a pencil. I hope that wasn't the sole reason for the change..

Revision history for this message
Vish (vish) wrote :

@Murat Güneş:
Yes this was an upstream Nautilus change. This was part of the new "Extra pane" nautilus overhaul. I dont think they intended to fix this bug. But rather mare more space for the widgets and this was a side-effect ;-)

Revision history for this message
Spang (hetkot) wrote :

@David:

Yes, I found the ctrl+L keys. Only, it's not a toggle. But more importantly, it's a right hand key combo. In my opinion right hand key combo's slow down computer interaction, as you have to move your hand from mouse to keyboard. And even if it was a left hand one. Nautilus interaction is mostly mouse based (as opposed to for example a text editor), so having to use key combo's is in conflict with that.

In user testing, we observed people clicking on this toggle
button in an attempt to create new documents simply because the icon
had a document in it.

My apologies for being frank. But, an OS should be intuitive, yes, but not necessarily idiot proof. The effect that toggle button has, isn't very dramatic, you click it, some UI element changes, you click it again and it changes back. If you click it once to make a new doc, seems possible. But you should be capable of noticing that is has some other functionality. In fact, most UI elements have tooltips these days, there's no crime in looking at them once in while.
In the long end, trying to find a better icon might be a good thing. But killing it because someone might mistakenly toggle it, what's that about?

Then again, as Vish mentions, it might have some other reason. But if you ask me, there should at least be an option to the button. As long time nautilus users have grown accustomed to it. While it could make sense to recover some screen space on a netbook, when you're on a 26" display, having the button there makes more sense.

Revision history for this message
David Siegel (djsiegel-deactivatedaccount) wrote :

Spang, you have some good arguments and I suggest you take them
upstream -- I am only in a position to consider this bug fixed (or
not). I am merely evaluating the impact on the user experience
detailed in this paper cut after the fact.

Revision history for this message
Spang (hetkot) wrote :

And so I did.
Unlike the min,max,close discussion, this call was made upstream.
A bit too used at coming to launchpad.
;)

Revision history for this message
Marian Sigler (maix42) wrote :

@Spang: ACK about the idiot proof thing. May you provide a link to were you've proposed this upstream?

I have to proposals in this matter (though I'd most like to have the button back):
a) include a setting (in the preferences dialog, not in the main ui) for /apps/nautilus/preferences/always_use_location_entry
b) switch to the text mode when clicking the unused area right hand side of the icons

Revision history for this message
Spang (hetkot) wrote :
Revision history for this message
FrankyT (theroarenator) wrote :

reaction to this change has been almost universally negative. Please give the button back, or teach nautilus to save the toggle state as it was previously set, on subsequent window openings.

as has been said over and over, Ctrl + L is not an acceptable answer. it is not a toggle, it is either right handed in right-control capable environments (try using r-ctrl in virtual box for instance), or both handed (which is even worse). the "Go" menu option is equally annoying, involving 3 clicks to do what 1 did.

see the discussion going on here: http://ubuntuforums.org/showthread.php?t=1430803

Revision history for this message
Sebastien Bacher (seb128) wrote :

> reaction to this change has ...

let's rather say than only users annoyed by the change open bugs about it or complain on forums, those who like changes usually are quiet about it so it's hard to tell if what you see is a vocal minority or reflecting users opinion

Revision history for this message
Murat Gunes (mgunes) wrote :

This is not the correct bug for discussion of whether the change should be reverted or whether there should be an option; this particular just happens to have been effectively fixed with the removal of the button. That was an upstream decision, and is best discussed at the GNOME bugzilla or Nautilus mailing lists with the relevant developers.

Please don't post further comments here, as you're ending up spamming the subscribers, who can be assumed to be no longer interested in this particular issue since it's fixed, as well as the removal of the button, which is a separate matter.

Revision history for this message
Andreas Allacher (ghost-zero5) wrote :

Really, why does GNOME have to remove all options nowadays?
Can't they at least keep various options still available through gconf-editor ?
I mean in Karmic the new login screen already removed various options.
I understand that they want to simplify things BUT they could at least keep various things optional. It doesn't hurt to give the "old" option or the "new" option.

Revision history for this message
Daniel (hackie) wrote :

Really a bad way to solve such problems.

I created a new Bug 575920 so we all can subscribe ("This bug affects me") to show that this was not what we wanted.

Changed in nautilus:
status: New → Invalid
Changed in nautilus:
importance: Unknown → Wishlist
status: Invalid → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.